-- Keymaps are automatically loaded on the VeryLazy event
-- Default keymaps that are always set: https://github.com/LazyVim/LazyVim/blob/main/lua/lazyvim/config/keymaps.lua
-- Add any additional keymaps here
local map = vim.keymap.set

-- Navigation
map("n", "gt", "<cmd>bnext<cr>", { desc = "Next Buffer" })
map("n", "gT", "<cmd>bprevious<cr>", { desc = "Prev Buffer" })
map("n", "gq", "<cmd>bdelete<cr>", { desc = "Prev Buffer" })
map("n", "<leader>q", "<cmd>q<cr>", { desc = "Quit" })

-- Git
map("n", "<leader>gs", "<cmd>:G<cr>", { desc = "Git Status" })
map("n", "<leader>gb", "<cmd>Telescope git_branches<cr>", { desc = "Git Status" })
map("n", "<leader>gp", "<cmd>:G! push<cr>", { desc = "Git Status" })

-- Telescope
map("n", "<leader>fs", "<cmd>Telescope live_grep<cr>", { desc = "Telescop Live Grep" })

-- Cody
map("n", "<leader>co", "<cmd>CodyChat<cr>", { desc = "Cody Chat" })
